package database

import (
	"os"
	"testing"
	"time"

	"git.xeserv.us/xena/mercy/internal/common"
	"github.com/Xe/gorqlite"
)

func TestChecks(t *testing.T) {
	gorqlite.TraceOn(os.Stderr)
	db, err := gorqlite.Open("http://")
	if err != nil {
		t.Fatal(err)
	}

	chks := NewChecks(db)
	err = chks.Migrate()
	if err != nil {
		t.Fatal(err)
	}

	err = chks.InsertCheck(&common.Check{
		Timestamp:     time.Now(),
		CustomerID:    "aliens",
		Active:        true,
		URI:           "https://cetacean.club",
		ReportWebhook: "https://google.com",
	})
	if err != nil {
		t.Fatal(err)
	}

	_, err := chks.GetAllChecks()
	if err != nil {
		t.Fatal(err)
	}
}
